Create saved objects

Base URL
https://{kibana_url}
  • POST /api/saved_objects/_bulk_create
  • POST /s/{space_id}/api/saved_objects/_bulk_create
Auth Deprecated
Warning

This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Creates multiple Kibana saved objects in a single request.

For transferring or backing up saved objects, prefer the import and export APIs (POST /api/saved_objects/_import and POST /api/saved_objects/_export).

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

overwrite boolean · default: false

Overwrite existing saved objects that match the same type and ID.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

<array> object[] · max items: 10000
attributes map string to object required
coreMigrationVersion string · max length: 256
id string · max length: 512
initialNamespaces string[] · min items: 1 · max items: 100
migrationVersion map string to string
<string> string · max length: 256
references object[] · max items: 1000
id string · max length: 512 required
name string · max length: 1024 required
type string · max length: 256 required
type string · max length: 256 required
typeMigrationVersion string · max length: 256
version string · max length: 256

Responses

200

A bulk create response.

application/json
400

A bad request.

application/json
Base URL
https://{kibana_url}